Skip to content

Create VPC

POST
/api/v1/vpc/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/vpc/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"ipv4": "10.10.0.0/23",
"is_e2e_vpc": false,
"vpc_name": "VPC-241"
}'
project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
ipv4

Required if is_e2e_vpc is false. Do not provide this field if is_e2e_vpc is true, because the CIDR will be assigned automatically by E2E.

string

Example

10.10.0.0/23
is_e2e_vpc
boolean

Example

false
vpc_name
string

Example

VPC-241

Created Successfully

Media typeapplication/json
object
code
integer
data
object
vpc_id
integer
vpc_name
string
network_id
integer
is_credit_sufficient
boolean
resource_type
string
nullable
label_id
string
nullable
project_id
string
errors
object
key
additional properties
string
message
string

Example

{
"code": 201,
"data": {
"vpc_id": 3956,
"vpc_name": "VPC-765",
"network_id": 27835,
"is_credit_sufficient": true,
"resource_type": null,
"label_id": null,
"project_id": "17925"
},
"errors": {},
"message": "Created Successfully"
}